require "ExampleGenerator/version"

module ExampleGenerator
  class Error < StandardError; end

  class Generate_Examples

    def self.greeting
      hey   =   "Hey "; heyo  =  "Heyo ";
      hi    =    "Hi "; hello = "Hello ";
      ahoy  =  "Ahoy "; ola   =   "Ola ";
      hola  =  "Hola ";

      greeting_list = [
        hey,  heyo, hi,   hello,
        ahoy, ola,  hola 
      ]

      $do_greeting = greeting_list.sample
    end

    def self.agent
      agent_name = File.read("identity/config_name.txt").strip

      $do_agent  = agent_name
    end

    def self.request
      can_i_get  =  " can I get "; may_i_get  =  " may I get ";
      can_i_have = " can I have "; may_i_have = " may I have ";

      request_list = [
        can_i_get,
        may_i_get,
        can_i_have,
        may_i_have
      ]

      $do_request = request_list.sample
    end

    def self.item
      # Non Food Index
      some_books      =      "some books "
      some_clothes    =    "some clothes "
      some_furniture  =  "some furniture "
      some_toiletries = "some toiletries "

      # Food Index
      some_milk       =       "some milk "
      some_eggs       =       "some eggs "
      some_meat       =       "some meat "
      some_cheese     =     "some cheese "
      some_fruits     =     "some fruits "
      some_veggies    =    "some veggies "

      item_list = [
        some_books,      some_clothes, some_furniture,
        some_toiletries, some_milk,    some_eggs,
        some_meat,       some_cheese,  some_fruits,
        some_veggies
      ]

      $do_item = item_list.sample
    end

    def self.for_from
      do_for  =  "for "; do_from = "from ";

      for_from_list = [do_for, do_from]

      $do_for_from = for_from_list.sample.to_s
    end

    def self.neighbor
      wendy = first_neighbor  = File.read("neighbor/neighbor_one.txt").strip
      jan   = second_neighbor = File.read("neighbor/neighbor_two.txt").strip
      john  = third_neighbor  = File.read("neighbor/neighbor_tre.txt").strip
      fran  = fourth_neighbor = File.read("neighbor/neighbor_fro.txt").strip

      neighbor_index = [
        wendy, jan, john, fran
      ]

      $do_neighbor = neighbor_index.sample
    end

    def self.place
      # Around the house
      garage      =       " garage."
      living_room =  " living room."
      dining_room =  " dining room."
      restroom    =     " restroom."
      kitchen     =      " kitchen."
      hallway     =      " hallway."
      bedroom     =      " bedroom."

      # Around the neighborhood
      driveway    =     " driveway."
      suburb      =       " suburb."
      forest      =       " forest."
      lake        =         " lake."
      road        =         " road."
      office      =       " office."
      church      =        "church."
      grocery     =       "grocery."
      hardware    =      "hardware."

      # Around the sky
      clouds      =       " clouds."
      sky_city    = " the sky city."

      # Around the solar system
      earth       =   " Earth."
      mars        =    " Mars."
      venus       =   " Venus."
      mercury     = " Mercury."
      ceres       =   " Ceres."
      jupiter     = " Jupiter."
      saturn      =  " Saturn."
      uranus      =  " Uranus."
      neptune     = " Neptune."

      place_list  = [
        garage,   living_room, dining_room, restroom, kitchen, hallway, bedroom,
        driveway, suburb,      forest,      lake,     road,    office,  church,
        grocery,  hardware,    clouds,      sky_city, earth,   mars,    venus,
        mercury,  jupiter,     saturn,      uranus,   neptune
      ]

      $do_place = place_list.sample
    end

  end
end
